curl --request POST \
--url https://api.mansafinance.co/api/v2/liquidity/management/withdrawal-requests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"client_id": "550e8400-e29b-41d4-a716-446655440000",
"client_request_id": "7f3d9a4b-1c2e-4f5a-8b6d-0e1f2a3b4c5d",
"amount": "10000",
"chain_id": "37361842-8d00-4f85-aaa2-5d0c014f303d",
"wallet_id": "abc12345-0000-0000-0000-def123456789"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>"
}Submit a withdrawal request for admin approval (V2 two-phase approval flow).
curl --request POST \
--url https://api.mansafinance.co/api/v2/liquidity/management/withdrawal-requests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"client_id": "550e8400-e29b-41d4-a716-446655440000",
"client_request_id": "7f3d9a4b-1c2e-4f5a-8b6d-0e1f2a3b4c5d",
"amount": "10000",
"chain_id": "37361842-8d00-4f85-aaa2-5d0c014f303d",
"wallet_id": "abc12345-0000-0000-0000-def123456789"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>"
}API key for authentication
JWT token following RFC001 specification